# Blogger API . posts

## Instance Methods

Get a post by id.

Retrieves a list of posts, possibly filtered.

Retrieves the next page of results.

### Method Details

`get(blogId, postId)`

    Get a post by id.

    Args:
      blogId: string, ID of the blog to fetch the post from. (required)
      postId: string, The ID of the post (required)

    Returns:
      An object of the form:

        {
        "content": "A String", # The content of the Post. May contain HTML markup.
        "kind": "blogger#post", # The kind of this entity. Always blogger#post
        "author": { # The author of this Post.
          "url": "A String", # The URL of the Post creator's Profile page.
          "image": { # The Post author's avatar.
            "url": "A String", # The Post author's avatar URL.
          },
          "displayName": "A String", # The display name.
          "id": "A String", # The identifier of the Post creator.
        },
        "replies": { # The container of comments on this Post.
          "totalItems": "A String", # The count of comments on this post.
          "selfLink": "A String", # The URL of the comments on this post.
        },
        "labels": [ # The list of labels this Post was tagged with.
          "A String",
        ],
        "updated": "A String", # RFC 3339 date-time when this Post was last updated.
        "blog": { # Data about the blog containing this Post.
          "id": "A String", # The identifier of the Blog that contains this Post.
        },
        "url": "A String", # The URL where this Post is displayed.
        "published": "A String", # RFC 3339 date-time when this Post was published.
        "title": "A String", # The title of the Post.
        "id": "A String", # The identifier of this Post.
        "selfLink": "A String", # The API REST URL to fetch this resource from.
      }

`list(blogId, startDate=None, pageToken=None, maxResults=None, fetchBodies=None)`

    Retrieves a list of posts, possibly filtered.

    Args:
      blogId: string, ID of the blog to fetch posts from. (required)
      startDate: string, Earliest post date to fetch, a date-time with RFC 3339 formatting.
      pageToken: string, Continuation token if the request is paged.
      maxResults: integer, Maximum number of posts to fetch.
      fetchBodies: boolean, Whether the body content of posts is included.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Pagination token to fetch the next page, if one exists.
        "items": [ # The list of Posts for this Blog.
          {
            "content": "A String", # The content of the Post. May contain HTML markup.
            "kind": "blogger#post", # The kind of this entity. Always blogger#post
            "author": { # The author of this Post.
              "url": "A String", # The URL of the Post creator's Profile page.
              "image": { # The Post author's avatar.
                "url": "A String", # The Post author's avatar URL.
              },
              "displayName": "A String", # The display name.
              "id": "A String", # The identifier of the Post creator.
            },
            "replies": { # The container of comments on this Post.
              "totalItems": "A String", # The count of comments on this post.
              "selfLink": "A String", # The URL of the comments on this post.
            },
            "labels": [ # The list of labels this Post was tagged with.
              "A String",
            ],
            "updated": "A String", # RFC 3339 date-time when this Post was last updated.
            "blog": { # Data about the blog containing this Post.
              "id": "A String", # The identifier of the Blog that contains this Post.
            },
            "url": "A String", # The URL where this Post is displayed.
            "published": "A String", # RFC 3339 date-time when this Post was published.
            "title": "A String", # The title of the Post.
            "id": "A String", # The identifier of this Post.
            "selfLink": "A String", # The API REST URL to fetch this resource from.
          },
        ],
        "kind": "blogger#postList", # The kind of this entity. Always blogger#postList
        "prevPageToken": "A String", # Pagination token to fetch the previous page, if one exists.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.